#include <bits/stdc++.h>
using namespace std;
  int n,m,d[200005],g[200005],br=0,di,gi,x;
int main(){
  cin >> n >> m;
  for(int i=1; i<=n; i++){
    cin >> d[i] >> g[i];
  }
  for(int i=1; i<=m; i++){
    cin >> di >> gi >> x;
    br=0;
    for(int j=di; j<=gi; j++){
      if(d[j]<=x and g[j]>=x){
        br++;
      }
    }
    cout << br << endl;
  }
  return 0;
}